Skip to main content
GET
/
api
/
models
/
{model_id}
/
versions
List Model Versions
curl --request GET \
  --url https://api.example.com/api/models/{model_id}/versions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "model_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "version": 123,
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "dataset_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "training_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "artifact_uri": "<string>",
      "params_json": {},
      "metrics_json": {},
      "ready_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

model_id
string<uuid>
required

Response

Successful Response

Response for listing model versions.

items
ModelVersion · object[]
required